package com.persagy.bdtp.adm.service;

import com.persagy.bdtp.adm.entity.*;

import java.util.Map;

/**
 * 与APP端进行数据同步的服务
 */
public interface ISyncApp {

	String getClientId(String userId);

	Dict queryDict(String groupCode, String projectId, String userId, boolean includeRel, boolean includeInfos);

	Dict downloadDict(String groupCode, String projectId, String userId);

	Map<String, Object> downloadConfig(String groupCode, String projectId, String userId);

	Map<String, Object> downloadFrameData(String groupCode, String projectId, String userId);

	/*Map<String, Object> downloadFloorData(String projectId, String floorId, String uploadFlag, String lastDownloadTime);*/

	BuildingData downloadBuildingData(String projectId, String buildingId, String uploadFlag, String lastDownloadTime);

	BuildingData downloadBuildingData(String groupCode, String projectId, String userId, String clientId, String buildingId, Long bdtpDownloadTs, Long admDownloadTs);

	ProjectData downloadProjectData(String groupCode, String projectId, String userId, String clientId, Long bdtpDownloadTs, Long admDownloadTs);

	UploadRtn uploadData(UploadData uploadData, String groupCode, String projectId, String userId, String clientId);

}
